@interface Card : UIImageView {
	@public
		CGPoint startLocation;
	CGPoint moveTo;
	int card_id;
	int state;
	int user_id;

	NSString * suit;
	NSString * number;

	bool dirty;
	bool face;

	int count;
	bool changedOwners;
}


- (void) setDirty : (bool) b;
- (void) setState : (int) s;
-(void) setOwner : (int) s;
- (void) setCard : (int) s;
- (void) setFace : (bool) f;
- (Card *) flip;
- (void) setSuit : (NSString*) s;
- (void) setNum : (NSString*) n;

- (void) setLoc : (CGPoint) p;
- (void) setMove : (CGPoint) p;

- (CGPoint) moveTo;

- (int) card_id;
- (int) owner;
- (bool) dirty;
- (CGPoint) loc;
- (bool) face;

@end
