#import "Hand.h"
#import "Cards.h"
#import "iDeckAppDelegate.h"

@implementation Hand
@synthesize cards;

- (id)initWithFrame:(CGRect)frame {
	if (self = [super initWithFrame:frame]) {		
		cards = [[NSMutableDictionary alloc] init];

	}
	return self;
}


- (void) showHand {
	CGRect rect = CGRectMake(0.0f, 0.0f, 48.0f*3, 64.0f*3);
	rect.origin.x = 0;
	rect.origin.y = 220;


	while( [[self subviews] count] > 0 ) {
		[[[self subviews] objectAtIndex:0] removeFromSuperview]; 
	}
	
	iDeckAppDelegate * parent = (iDeckAppDelegate*)[[UIApplication sharedApplication] delegate];

	int counter=0;
	
	for(unsigned int i=0; i<[[[parent->table view] subviews] count]; i++) {
		
		if ([[[[parent->table view] subviews] objectAtIndex:i] isKindOfClass:[Card class]]) {
			Card * crd = [[[parent->table view] subviews] objectAtIndex:i];
			if (crd->user_id == parent->user_id) {
				counter++;
			}
		}
	}

	float div =300.0/((float) counter);



	for(unsigned int i=0; i<[[[parent->table view] subviews] count]; i++) {

		if ([[[[parent->table view] subviews] objectAtIndex:i] isKindOfClass:[Card class]]) {
			Card * crd = [[[parent->table view] subviews] objectAtIndex:i];
			if (crd->user_id == parent->user_id) {
				NSMutableString * c = [[NSMutableString alloc] init];        

				Card * newC = [[Card alloc] initWithFrame:rect];
				[c appendFormat:@"%@-%@-big.png", crd->suit, crd->number];
				[newC setImage:[UIImage imageNamed:c]];

				[self addSubview:newC];
				[self bringSubviewToFront:newC];
				rect.origin.x += div;
			}


		}
	}

}

- (void) freeCards {
	if (cards) {
		[cards dealloc];
		cards = NULL;
		cards = [[NSMutableDictionary alloc] init];
	}

	while( [[self subviews] count] > 0 ) {
		[[[self subviews] objectAtIndex:0] removeFromSuperview]; 
	}

}

- (void)dealloc {
	[super dealloc];
}


@end
