#import <UIKit/UIKit.h>
#import "DOMTreeNode.h"


@interface TableSettingsViewController : UIViewController <UIScrollViewDelegate, UITextFieldDelegate> {
	
	UITextField *tableTypeTF;
	UITextField *tableNameTF;
	UITextField *numberOfPlayersTF;
	UITextField *numberOfDecksTF;
	UITextField *numberOfCardsFaceUpTF;
	UITextField *cardsPerHandTF;
	//UITextField *minimumBet;
	UISwitch *jokersSwitch;
	UITextField *doubleTapMessageTF;
	UITextField *horizontalSwipeMessageTF;
	DOMTreeNode *tables;
	
	IBOutlet UIScrollView *scrollView;
}

@property (nonatomic, retain) IBOutlet UITextField *tableTypeTF;
@property (nonatomic, retain) IBOutlet UITextField *tableNameTF;
@property (nonatomic, retain) IBOutlet UITextField *numberOfPlayersTF;
@property (nonatomic, retain) IBOutlet UITextField *numberOfDecksTF;
@property (nonatomic, retain) IBOutlet UITextField *numberOfCardsFaceUpTF;
@property (nonatomic, retain) IBOutlet UITextField *cardsPerHandTF;
//@property (nonatomic, retain) IBOutlet UITextField *minimumBet;
@property (nonatomic, retain) IBOutlet UISwitch *jokersSwitch;
@property (nonatomic, retain) IBOutlet UITextField *doubleTapMessageTF;
@property (nonatomic, retain) IBOutlet UITextField *horizontalSwipeMessageTF;
@property (nonatomic, retain) IBOutlet UIScrollView *scrollView;

- (int) modify_table: (int)uid type:(NSString *)type name:(NSString *)name max_players:(int)max_players hand_size:(int)hand_size num_face_up:(int)num_face_up min_bet:(NSString *)min_bet double_tap:(NSString*)double_tap swipe:(NSString*) swipe;
- (IBAction)showHelpMessage:(id)sender;
- (IBAction)pushGameTable:(id)sender;

@end
