#define HORIZ_SWIPE_DRAG_MIN  100	// for horizontal swipe
#define VERT_SWIPE_DRAG_MAX    10	// for horizontal swipe
#define VERT_SWIPE_DRAG_MIN  150	// for vertical swipe
#define HORIZ_SWIPE_DRAG_MAX    10	// for vertical swipe


@interface TableView : UIView {
@public
	UIImageView * background;
	CGPoint startTouchPosition;
	CGPoint currentTouchPosition;
	BOOL hswipe;
	BOOL vswipe;
}
- (void) addBackground;
- (void) sendBack;

@property(nonatomic) BOOL hswipe;
@property(nonatomic) BOOL vswipe;
@property(nonatomic, readwrite) CGPoint startTouchPosition;
@property(nonatomic, readwrite) CGPoint currentTouchPosition;
@end