<?

function shuffle_deck($array) {
	$i = count($array);

	while(--$i) {
		$j = mt_rand(0, $i);

		if ($i != $j) {
			// swap elements
			$tmp = $array[$j];
			$array[$j] = $array[$i];
			$array[$i] = $tmp;
		}
	}

	return $array;
}

include("icards-req.php");
class iCards {
	var $user_id = -1;
	var $table = 0;
	var $connection = NULL;


	function __construct(){

		/* establish connection */
		$connection = mysql_conn() or die("Could not connect " . mysql_error());
		mysql_select_db("icards_db", $connection);
		$this->connection = $connection;


		if (isset($_GET['user_id'])) $this->user_id = $_GET['user_id'];
		if (isset($_GET['table_id']))  $this->table = $_GET['table_id'];

		if ($this->table == -1) return;


		// mysql_query("UPDATE users SET table_id = ".$this->table);
		switch($_GET["action"]){
			default:
				$this->showTable();
				break;

				case "swipe":
					$this->swipe();
				break;

				case "message":
					$this->message();
				break;

				case "get_tables":
					$this->listTables();
				break;

				case "get_players":
					$this->listPlayers();
				break;

				case "edit_table": 
					case "add_table": 
					$this->editTable();
				break;

				case "shuffle":
					case "gather":
					$this->collectCards();
				break;

				case "update":
					if (isset($_GET['table_id']) && isset($_GET['user_id'])) $this->update();
				break;

				case "join":
					if (isset($_GET['user_id']) && isset($_GET['table_id'])) $this->joinTable();
					else if (isset($_GET['username'])) $this->joinNetwork();
				break;

				case "leave":
					if (isset($_GET['table_id']) && isset($_GET['user_id'])) $this->leave();
				break;

				case "tableinfo":
					$this->tableinfo();
				break;

				case "deal":
					$this->deal();
				break;
		}
	}
	function xmlHeader() { echo '<?xml version="1.0" encoding="iso-8859-1" ?>'."\n"; }

	function update() {
		list($dealer) = mysql_fetch_row(mysql_query("SELECT dealer FROM tables WHERE table_id = ".$this->table));

		if ($dealer == $this->user_id) $this->updateTableTimestamp();

		foreach($_GET as $k=>$val) {
			if (is_numeric($k)) {
				list($x,$y,$face,$uid) = explode(',', $val);
				$query = "UPDATE cards SET x='$x',y='$y',face='$face',user_id='$uid' WHERE card_id=$k";
				mysql_query($query);
			}
		}
		$this->showTable();

	}


	function listPlayers() {
		$this->xmlHeader();
		echo "<root>\n<players>\n";
		$select = mysql_query("SELECT username, table_id, ratio FROM users WHERE table_id != 0");
		while($player = mysql_fetch_array($select)) {
			echo "\t<player>\n";
			echo "\t\t<table_id>".$player['table_id']."</table_id>\n";
			echo "\t\t<username>".$player['username']."</username>\n";
			echo "\t\t<ratio>".$player['ratio']."</ratio>\n";
			echo "\t</player>\n";
		}
		echo "</players>\n</root>\n";
	}



	function listTables() {
		// first clear out bad tables
		$this->xmlHeader();
		echo "<root>\t<tables>\n";
		$select = mysql_query("SELECT table_id, type, name, max_players, min_bet FROM tables");
		while($table = mysql_fetch_array($select)) {
			list($numPlayers) = mysql_fetch_row(mysql_query("SELECT count(*) FROM users WHERE table_id = ".$table['table_id']));
			if ($numPlayers > 0) {
				echo "\t<table>\n";
				echo "\t\t<table_id>".$table['table_id']."</table_id>\n";
				echo "\t\t<num_players>$numPlayers</num_players>\n";
				echo "\t\t<max_players>".$table['max_players']."</max_players>\n";
				echo "\t\t<min_bet>".$table['min_bet']."</min_bet>\n";
				echo "\t\t<type>".$table['type']."</type>\n";
				echo "\t\t<name>".$table['name']."</name>\n";
				echo "\t</table>\n";
			} else mysql_query("DELETE FROM tables WHERE table_id = ".$table['table_id']);
		}
		echo "</tables>\t</root>\n";
	}



	function showTable(){
		/* get cards */
		$select = mysql_query("SELECT card_id, user_id, x,y,face,suit,number FROM cards WHERE table_id =".$this->table." ORDER BY face, RAND()");
		$players = array();
		$playerids = array();
		$deck = array();
		/* insert cards into either deck or player array, also get player ids */
		while($card = mysql_fetch_array($select)) {
			if (!$card['user_id']) $deck[] = $card;
			else {

				$players[] = $card;
				if (!in_array($card['user_id'], $playerids)) $playerids[] = $card['user_id'];
			}
		}

		/* get player names */
		$playernames = array();
		$playerx = array();
		$playery = array();
		foreach($playerids as $id) {
			list($playernames[$id], $playerx[$id], $playery[$id]) = mysql_fetch_row(mysql_query("SELECT username,x,y FROM users WHERE user_id = $id"));
		}

		/* print xml */
		list($tablename,$tabledealer) = mysql_fetch_row(mysql_query("SELECT name,dealer FROM tables WHERE table_id = ".$this->table));
		$this->xmlHeader();
		echo "<table>\n";
		echo "\t<name>$tablename</name>\n";
		if ($_GET['action'] == 'deal')  echo "\t<deal>true</deal>\n";
		echo "\t<dealer>$tabledealer</dealer>\n";

		echo "\t<messages>\n";
		$query_text = "SELECT message FROM messages WHERE table_id = ".$this->table." ORDER by message_id DESC LIMIT 15";
		$select_txt = mysql_query($query_text);
		while($t = mysql_fetch_array($select_txt)) {
			echo "\t\t<message>\n";
			echo "\t\t\t<text>";
			echo $t['message'];
			echo "</text>\n";
			echo "\t\t</message>\n";
		}
		echo "\t</messages>\n";
		echo "\t<players>\n";
		foreach($playerids as $id) {
			echo "\t\t<player>\n";
			echo "\t\t\t<name>".$playernames[$id]."</name>\n";
			echo "\t\t\t<x>".$playerx[$id]."</x>\n";
			echo "\t\t\t<y>".$playery[$id]."</y>\n";
			echo "\t\t\t<user_id>$id</user_id>\n";
			echo "\t\t\t<hand>\n";
			foreach($players as $card) {
				if ($card['user_id'] != $id) continue;
				echo "\t\t\t\t<card>\n";
				{
					echo "\t\t\t\t\t<card_id>".$card['card_id']."</card_id>\n";
					echo "\t\t\t\t\t<number>".$card['number']."</number>\n";
					echo "\t\t\t\t\t<suit>".$card['suit']."</suit>\n";
					echo "\t\t\t\t\t<face>".$card['face']."</face>\n";
					echo "\t\t\t\t\t<x>".$card['x']."</x>\n";
					echo "\t\t\t\t\t<y>".$card['y']."</y>\n";
				}
				echo "\t\t\t\t</card>\n";            
			}
			echo "\t\t\t</hand>\n";
			echo "\t\t</player>\n";
		}
		echo "\t</players>\n";

		/* the left over cards in the deck */
		echo "\t<deck>\n";
		foreach($deck as $card) {
			echo "\t\t<card>\n";
			{
				echo "\t\t\t<card_id>".$card['card_id']."</card_id>\n";
				echo "\t\t\t<number>".$card['number']."</number>\n";
				echo "\t\t\t<suit>".$card['suit']."</suit>\n";
				echo "\t\t\t<face>".$card['face']."</face>\n";
				echo "\t\t\t<x>".$card['x']."</x>\n";
				echo "\t\t\t<y>".$card['y']."</y>\n";
			}
			echo "\t\t</card>\n";

		}
		echo "\t</deck>\n";


		echo "</table>";
	}


	function get_table_id($user_id, $type, $name, $max_players, $hand_size, $num_face_up, $min_bet, $doubletap, $swipe) {
		// clean up the word
		$name = trim($name);
		$name = mysql_real_escape_string($name, $this->connection);

		// query for the id of the word in table.field
		$query = "SELECT table_id FROM tables WHERE name = '$name' LIMIT 1";

		$id = 0;
		if ($result = mysql_query($query)) {
			if (mysql_num_rows($result) > 0) {
				// hit! get the id.
				list($id) = mysql_fetch_row($result);
			} else {
				// miss! insert the value and get the id
				$query = "INSERT INTO tables (name,user_id,date) VALUES ('$name', $user_id,NOW())";
				mysql_query($query);
				$id = mysql_insert_id();
			}
		}



		list($owner) = mysql_fetch_row(mysql_query("SELECT user_id FROM tables WHERE table_id = " . $id));
		if ($owner == $user_id) {

			$type = trim($type); $type = mysql_real_escape_string($type, $this->connection);
			$max_players = intval(trim($max_players));
			$hand_size = intval(trim($hand_size));
			$num_face_up = intval(trim($num_face_up));
			$min_bet = trim($min_bet); $min_bet = mysql_real_escape_string($min_bet, $this->connection);
			$swipe = trim($swipe); $swipe = mysql_real_escape_string($swipe, $this->connection);
			$doubletap = trim($doubletap); $doubletap = mysql_real_escape_string($doubletap, $this->connection);
			if (is_numeric(trim($min_bet))) {
				$query = "UPDATE tables SET type='$type', max_players=$max_players, hand_size=$hand_size, num_face_up=$num_face_up, min_bet='$min_bet', double_tap='$doubletap', swipe='$swipe', dealer = $user_id WHERE table_id = $id";
				mysql_query($query);
			}

		}

		return $id;
	}
	function editTable(){
		if (isset($_GET['user_id']) && isset($_GET['type']) && isset($_GET['name']) && isset($_GET['max_players']) && isset($_GET['hand_size']) && isset($_GET['num_face_up']) && isset($_GET['min_bet']) && isset($_GET['double_tap']) && isset($_GET['swipe']) ) {
			$this->table = $this->get_table_id($_GET['user_id'], $_GET['type'], $_GET['name'], $_GET['max_players'],$_GET['hand_size'], $_GET['num_face_up'],$_GET['min_bet'], $_GET['double_tap'], $_GET['swipe']); 
			$this->user_id = $_GET['user_id'];
			$this->getDeck();
			$this->tableInfo();
		}
	}

	function tableInfo() {
		$this->xmlHeader();
		echo "<table>\n";
		$id = $this->table;
		$select = mysql_query("SELECT table_id, type, name, max_players, hand_size, num_face_up, min_bet, double_tap, swipe FROM tables WHERE table_id = $id");
		$row = mysql_fetch_array($select);
		echo "\t<table_id>".$row['table_id']."</table_id>\n";
		echo "\t<type>".$row['type']."</type>\n";
		echo "\t<name>".$row['name']."</name>\n";
		echo "\t<max_players>".$row['max_players']."</max_players>\n";
		echo "\t<hand_size>".$row['hand_size']."</hand_size>\n";
		echo "\t<num_face_up>".$row['num_face_up']."</num_face_up>\n";
		echo "\t<min_bet>".$row['min_bet']."</min_bet>\n";
		echo "\t<double_tap>".$row['double_tap']."</double_tap>\n";
		echo "\t<swipe>".$row['swipe']."</swipe>\n";
		echo "</table>\n";
	}

	function get_user_id($username, $table_id) {
		// clean up the word
		$username = trim($username);
		$username = mysql_real_escape_string($username, $this->connection);

		// query for the id of the word in table.field
		$query = "SELECT user_id FROM users WHERE username = '$username' LIMIT 1";

		$id = 0;
		if ($result = mysql_query($query)) {
			if (mysql_num_rows($result) > 0) {
				// hit! get the id.
				list($id) = mysql_fetch_row($result);
			} else {
				// miss! insert the value and get the id
				$query = "INSERT INTO users (username) VALUES ('$username')";
				mysql_query($query);
				$id = mysql_insert_id();
			}
		}

		/* set the table id */
		$query = "UPDATE users SET table_id = " . $this->table . " WHERE user_id = $id";
		mysql_query($query);

		/* if this is the first person at the table, then this person should be the dealer */
		list($count) = mysql_fetch_row(mysql_query("SELECT count(*) FROM users WHERE table_id = " . $this->table));
		if ($count == 1) mysql_query("UPDATE tables SET dealer = $id WHERE table_id = " . $this->table);

		return $id;
	}

	function joinNetwork() {
		$id = $this->get_user_id($_GET['username'], 0);
		echo "<root><user_id>$id</user_id><root>";
	}

	function joinTable(){
		$this->xmlHeader();
		if (is_numeric($_GET['table_id']) && is_numeric($_GET['user_id'])) {
			$uid = $_GET['user_id'];
			$table = $_GET['table_id'];
			mysql_query("UPDATE users SET table_id = $table WHERE user_id = $uid");
			list($username) = mysql_fetch_row(mysql_query("SELECT username FROM users WHERE user_id = $uid"));
			$mesg = "$username has joined the table.";
			mysql_query("INSERT INTO messages (table_id, user_id, message) VALUES ($table, $uid, '$mesg')");
			echo "<root><user_id>$uid</user_id><root>";
		} else echo "<root><user_id>-1</user_id><root>";

	}

	function leave(){
		mysql_query("UPDATE users SET table_id = -1 WHERE user_id = " . $this->user_id);
		list($id) = mysql_fetch_row(mysql_query("SELECT dealer FROM tables WHERE table_id = " . $this->table));
		if ($id == $this->user_id) {
			echo 'the dealer left';
			/* make a new dealer */
			$query = "SELECT user_id FROM users WHERE users.table_id = " . $this->table . " ORDER BY ratio DESC LIMIT 1";
			list($newdealer) = mysql_fetch_row(mysql_query($query));
			$query = "UPDATE tables set dealer = $newdealer";
			@mysql_query($query); 
		} else echo 'goodbye';
		$uid = $this->user_id;
		$table = $this->table;
		list($username) = mysql_fetch_row(mysql_query("SELECT username FROM users WHERE user_id = $uid"));
		$this->send("$username has left the table.");
		list($count) = mysql_fetch_row(mysql_query("SELECT count(*) FROM users WHERE table_id = " . $this->table));
		if ($count == 0) {
			mysql_query("DELETE FROM cards WHERE table_id = " . $this->table);
			mysql_query("DELETE FROM tables WHERE table_id = " . $this->table);
			mysql_query("DELETE FROM messages WHERE table_id = " . $this->table);

		}
	}

	function message() {
		if (isset($_GET['message']) && isset($_GET['user_id']) && isset($_GET['table_id'])) {
			$user_id = $_GET['user_id'];
			$table_id = $_GET['table_id'];
			$text = mysql_real_escape_string($_GET['message'], $this->connection);
			$query = "INSERT INTO messages (user_id, table_id, message) VALUES ($user_id, $table_id, '$text')";
			mysql_query($query);
		}

	}

	function collectCards(){

		/* get table info */
		$query = "SELECT dealer FROM tables WHERE table_id =".$this->table." LIMIT 1";
		$select = mysql_query($query);
		list($dealer) = mysql_fetch_row($select);
		if ($this->user_id != $dealer) {
			$user = $this->user_id;
			echo "$user is not the dealer... $dealer\n";
			return;
		}


		mysql_query("UPDATE cards SET x='0',y='0',user_id=0,face='0' WHERE table_id = ".$this->table);
		$this->showTable();
	}

	function getDeck(){

		list($exist) = mysql_fetch_row(mysql_query("SELECT count(*) FROM cards WHERE table_id = ".$this->table." LIMIT 1"));

		if ($exist != 52) {
			mysql_query("DELETE FROM cards WHERE table_id=".$this->table);
			/* shuffle the deck */
			$suits = array('c', 'd', 'h', 's');
			$cards = array('a', 2, 3, 4, 5, 6, 7, 8, 9, 10, 'j', 'q', 'k');
			$deck = shuffle_deck(range(0, 51));

			/*while($i = array_pop($deck)) */ 
			for($i=0;$i<52;$i++) {
				$number = $cards[$i / 4];
				$suit = $suits[$i % 4];
				mysql_query("INSERT INTO cards (card_id, table_id, user_id, x, y, face, suit, number) values (NULL, ".$this->table.", 0, '0', '0', '$face', '$suit', '$number')");
			}
		} else  {
			mysql_query("UPDATE cards SET x='0',y='0',user_id=0,face='0' WHERE table_id = ".$this->table);
		}

		list($username) = mysql_fetch_row(mysql_query("SELECT username FROM users WHERE user_id =".$this->user_id));
		$this->send("$username:shuffling...");
	}

	function swipe() {

		list($username) = mysql_fetch_row(mysql_query("SELECT username FROM users WHERE user_id = ".$this->user_id));
		switch($_GET['swipe']) {
			case '0':
				list($text) = mysql_fetch_row(mysql_query("SELECT swipe FROM tables WHERE table_id = ".$this->table));
				$this->send("$username:$text");
				break;
			default:
				list($text) = mysql_fetch_row(mysql_query("SELECT double_tap FROM tables WHERE table_id = ".$this->table));
				$this->send("$username:$text");
				break;
		}
	}

	function newDealer() {
		list($username) = mysql_fetch_row(mysql_query("SELECT username FROM users WHERE user_id =".$this->user_id));
		mysql_query("UPDATE tables SET dealer = ".$this->user_id." WHERE table_id = ".$this->table);
		$this->send("$username is the new dealer.");
	}


	function send($textmsg) {
		$textmsg = mysql_real_escape_string($textmsg, $this->connection);
		mysql_query("INSERT INTO messages (message,table_id) VALUES ('$textmsg', ".$this->table.")");
	}

	function updateTableTimestamp() {
		mysql_query("UPDATE tables SET date=NOW() WHERE table_id=".$this->table);
	}

	function deal(){

		/* get table info */
		$query = "SELECT type,name,max_players,hand_size,num_face_up,dealer FROM tables WHERE table_id =".$this->table." LIMIT 1";
		$select = mysql_query($query);
		list($type, $name, $max_players, $hand_size, $num_face_up, $dealer) = mysql_fetch_row($select);

		if ($this->user_id != $dealer) {
			list($newDeal) = mysql_fetch_row(mysql_query("SELECT TIME_TO_SEC(TIMEDIFF(NOW(),date)) FROM tables WHERE table_id=".$this->table));
			if ($newDeal > 20) {
				if ($newDeal > 60) mysql_query("UPDATE users SET table_id=0 WHERE (table_id=".$this->table." AND user_id != ".$this->user_id.")");
				mysql_query("UPDATE users SET table_id=0 WHERE user_id = $dealer");
				$this->newDealer();
			} else {
				die("returning...");
			}
		}

		$this->updateTableTimestamp();
		list($username) = mysql_fetch_row(mysql_query("SELECT username FROM users WHERE user_id =".$this->user_id));
		$this->send("$username:Dealing...");

		list($exist) = mysql_fetch_row(mysql_query("SELECT count(*) FROM cards WHERE table_id = ".$this->table." LIMIT 1"));

		/* shuffle the deck */
		$this->getDeck();

		//  deal the cards to players
		$select = mysql_query("SELECT user_id FROM users WHERE table_id =".$this->table);
		$num_players = mysql_num_rows($select);

		$piece = 2.0 * M_PI/$num_players;
		$theta = 0.0;

		while($player = mysql_fetch_array($select)) {

			/* position cards on the table in a circular pattern */

			$x = cos($theta) * 120 + 122;
			$y = sin($theta) * 150 + 230;
			$theta+=$piece;
			mysql_query("UPDATE users SET x='$x', y='$y' WHERE user_id = ".$player['user_id']);

			/* assign a card to each player */
			$p = 0.5 * 3.14159/$hand_size;
			$phi = 0.0;

			$i=1;
			$handquery = "SELECT card_id FROM cards WHERE (user_id=0 AND table_id=".$this->table.") ORDER BY RAND(), user_id LIMIT $hand_size";
			$hand = mysql_query($handquery);
			while($card = mysql_fetch_array($hand)) {

				/* this will fan out the cards */
				$x += sin($phi) * 10.5;
				$y += -cos($phi) * 10.5;
				$phi += $p;

				/* draw a card from the deck */
				$face = ($i <= $num_face_up) ? 1 : 0;
				mysql_query("UPDATE cards set x='$x',y='$y',face='$face',user_id=".$player['user_id']." WHERE card_id=".$card['card_id']);

				$i++;
			}
		} 
		$this->showTable(); 
	}

}

new iCards();

?>





