DROP TABLE IF EXISTS cards;
CREATE TABLE cards (
  card_id int(10) unsigned NOT NULL AUTO_INCREMENT,
  table_id int(10) unsigned NOT NULL,
  user_id int(10) unsigned NOT NULL,
  x varchar(30) NOT NULL,
  y varchar(30) NOT NULL,
  face char(1) NOT NULL DEFAULT '1',
  suit char(1) NOT NULL,
  number char(2) NOT NULL,
  PRIMARY KEY (card_id)
) ENGINE=MyISAM AUTO_INCREMENT=105 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS messages;
CREATE TABLE messages (
  message_id int(10) unsigned NOT NULL AUTO_INCREMENT,
  table_id int(10) unsigned NOT NULL,
  user_id int(10) unsigned NOT NULL,
  message text,
  PRIMARY KEY (message_id)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS tables;
CREATE TABLE tables (
  table_id int(10) unsigned NOT NULL AUTO_INCREMENT,
  user_id int(10) unsigned NOT NULL,
  type varchar(40) NOT NULL,
  name varchar(40) NOT NULL,
  max_players int(10) unsigned NOT NULL DEFAULT '5',
  hand_size int(10) unsigned NOT NULL DEFAULT '5',
  num_face_up int(10) unsigned DEFAULT '0',
  dealer int(10) unsigned NOT NULL,
  min_bet varchar(40) NOT NULL DEFAULT '5.00',
  double_tap char(255) NOT NULL DEFAULT 'Hit Me',
  swipe char(255) NOT NULL DEFAULT 'Pass',
  date datetime DEFAULT NULL,
  PRIMARY KEY (table_id)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS users;
CREATE TABLE users (
  user_id int(10) unsigned NOT NULL AUTO_INCREMENT,
  username varchar(40) NOT NULL,
  table_id int(10) unsigned NOT NULL,
  ratio char(40) NOT NULL DEFAULT '0',
  money varchar(40) NOT NULL DEFAULT '1000.00',
  x varchar(30) NOT NULL,
  y varchar(30) NOT NULL,
  PRIMARY KEY (user_id)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
